package com.jsowell.pile.domain;

import com.jsowell.common.annotation.Excel;
import com.jsowell.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 结算订单报对象 settle_order_report
 *
 * @author jsowell
 * @date 2023-06-05
 */
public class SettleOrderReport extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 运营商id
     */
    @Excel(name = "运营商id")
    private String merchantId;

    /**
     * 站点id
     */
    @Excel(name = "站点id")
    private String stationId;

    /**
     * 用电度数
     */
    @Excel(name = "用电度数")
    private BigDecimal useElectricity;

    /**
     * 充电次数
     */
    @Excel(name = "充电次数")
    private String chargeNum;

    /**
     * 充电时长
     */
    @Excel(name = "充电时长")
    private String chargeTime;

    /**
     * 电费金额
     */
    @Excel(name = "电费金额")
    private BigDecimal electricityAmount;

    /**
     * 服务费金额
     */
    @Excel(name = "服务费金额")
    private BigDecimal serviceAmount;

    /**
     * 收入金额
     */
    @Excel(name = "收入金额")
    private BigDecimal totalAmount;

    /**
     * 虚拟金额
     */
    @Excel(name = "虚拟金额")
    private BigDecimal virtualAmount;

    /**
     * 交易日期
     */
    @Excel(name = "交易日期")
    private String tradeDate;

    /**
     * 交易金额
     */
    @Excel(name = "交易金额")
    private BigDecimal tradeAmount;

    /**
     * 交易手续费
     */
    @Excel(name = "交易手续费")
    private BigDecimal tradeFee;

    /**
     * 删除标识（0-正常；1-删除）
     */
    private String delFlag;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setMerchantId(String merchantId) {
        this.merchantId = merchantId;
    }

    public String getMerchantId() {
        return merchantId;
    }

    public void setStationId(String stationId) {
        this.stationId = stationId;
    }

    public String getStationId() {
        return stationId;
    }

    public void setUseElectricity(BigDecimal useElectricity) {
        this.useElectricity = useElectricity;
    }

    public BigDecimal getUseElectricity() {
        return useElectricity;
    }

    public void setChargeNum(String chargeNum) {
        this.chargeNum = chargeNum;
    }

    public String getChargeNum() {
        return chargeNum;
    }

    public void setChargeTime(String chargeTime) {
        this.chargeTime = chargeTime;
    }

    public String getChargeTime() {
        return chargeTime;
    }

    public void setElectricityAmount(BigDecimal electricityAmount) {
        this.electricityAmount = electricityAmount;
    }

    public BigDecimal getElectricityAmount() {
        return electricityAmount;
    }

    public void setServiceAmount(BigDecimal serviceAmount) {
        this.serviceAmount = serviceAmount;
    }

    public BigDecimal getServiceAmount() {
        return serviceAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setVirtualAmount(BigDecimal virtualAmount) {
        this.virtualAmount = virtualAmount;
    }

    public BigDecimal getVirtualAmount() {
        return virtualAmount;
    }

    public void setTradeDate(String tradeDate) {
        this.tradeDate = tradeDate;
    }

    public String getTradeDate() {
        return tradeDate;
    }

    public void setTradeAmount(BigDecimal tradeAmount) {
        this.tradeAmount = tradeAmount;
    }

    public BigDecimal getTradeAmount() {
        return tradeAmount;
    }

    public void setTradeFee(BigDecimal tradeFee) {
        this.tradeFee = tradeFee;
    }

    public BigDecimal getTradeFee() {
        return tradeFee;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.JSON_STYLE)
                .append("id", getId())
                .append("merchantId", getMerchantId())
                .append("stationId", getStationId())
                .append("useElectricity", getUseElectricity())
                .append("chargeNum", getChargeNum())
                .append("chargeTime", getChargeTime())
                .append("electricityAmount", getElectricityAmount())
                .append("serviceAmount", getServiceAmount())
                .append("totalAmount", getTotalAmount())
                .append("virtualAmount", getVirtualAmount())
                .append("tradeDate", getTradeDate())
                .append("tradeAmount", getTradeAmount())
                .append("tradeFee", getTradeFee())
                .append("createTime", getCreateTime())
                .append("delFlag", getDelFlag())
                .toString();
    }
}
